<?php




namespace ln\jobs;

use app\common\repositories\store\order\StoreOrderRepository;
use ln\interfaces\JobInterface;
use think\facade\Log;

class ImportSpreadsheetExcelJob implements JobInterface
{

    public function fire($job, $data)
    {
        try{
            app()->make(StoreOrderRepository::class)->setWhereDeliveryStatus($data['data'],$data['mer_id']);
        }catch (\Exception $e){
            Log::info('商户ID：'.$data['mer_id'].' 导入文件  error : ' . $e->getMessage());
        }
        $job->delete();
    }

    public function failed($data)
    {
        // TODO: Implement failed() method.
    }
}
